Subject: RE: how I mount the root fs from ramdisk??

From: "Mitchell, Earl" <[email-masked]>
Date: Fri, 29 Aug 2003 13:24:47 -0700

This page is better for ramdisk howto ...

http://www.linux-vr.org/ramdisk.html

-earlm

>-----Original Message-----
>From: jeff [mailto:[email-masked]]
>Sent: Friday, August 29, 2003 3:40 AM
>To: embedlf; [email-masked]
>Subject: RE: how I mount the root fs from ramdisk??
>
>Please download the busybox and make it to be mips binary.
>Or you can find some usable information from http://linux.junsun.net
>
>Regards,
>
>Jeff
>
>-----Original Message-----
>From: [email-masked] [mailto:linux-mips-bounce@linux-
>mips.org]On Behalf Of embedlf
>Sent: Friday, August 29, 2003 5:00 PM
>To: [email-masked]
>Subject: how I mount the root fs from ramdisk??
>
>
>linux-mips:
>	I use mips cpu board to design my product. I want run linux embeded
>in this board.
>But in this process,there is not harddisk on the board.
>	So I should mount the root fs on ramdisk. Do you think so? I should
>make a ramdisk.
>
>dd if=/dev/zero of=/dev/ram bs=1k count=2048
>mke2fs -vm0 /dev/ram 2048
>mount -t ext2 /dev/ram /mnt/ram
>~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
>After I mount it, I should copy some files to this folder.I used
>cross_compiler,
>compiling linux on X86 PC.How do I make the file /sbin/init??where is the
>source??
>
>dd if=/dev/ram bs=1k count=2048 | gzip -v9 > /tmp/ram_image.gz
>
>
>
>　　　　　　　　embedlf
>　　　　　　　　[email-masked]
>　　　　　　　　　　2003-08-29